## Edit global schema validation settings `client.schemaValidation.settings.edit(SettingEditParamsparams, RequestOptionsoptions?): SettingEditResponse` **patch** `/zones/{zone_id}/schema_validation/settings` Partially updates global schema validation settings for a zone using PATCH semantics. ### Parameters - `params: SettingEditParams` - `zone_id: string` Path param: Identifier. - `validation_default_mitigation_action?: "none" | "log" | "block"` Body param: The default mitigation action used Mitigation actions are as follows: - `"log"` - log request when request does not conform to schema - `"block"` - deny access to the site when request does not conform to schema - `"none"` - skip running schema validation - `"none"` - `"log"` - `"block"` - `validation_override_mitigation_action?: "none" | null` Body param: When set, this overrides both zone level and operation level mitigation actions. - `"none"` - skip running schema validation entirely for the request - `null` - clears any existing override - `"none"` ### Returns - `SettingEditResponse` - `validation_default_mitigation_action: "none" | "log" | "block"` The default mitigation action used Mitigation actions are as follows: - `log` - log request when request does not conform to schema - `block` - deny access to the site when request does not conform to schema - `none` - skip running schema validation - `"none"` - `"log"` - `"block"` - `validation_override_mitigation_action?: "none"` When not null, this overrides global both zone level and operation level mitigation actions. This can serve as a quick way to disable schema validation for the whole zone. - `"none"` will skip running schema validation entirely for the request - `"none"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.schemaValidation.settings.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.validation_default_mitigation_action); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "validation_default_mitigation_action": "block", "validation_override_mitigation_action": "none" }, "success": true } ```